Sisimai::Reason::Blocked(3pm)

NAME
Sisimai::Reason::Blocked - Bounce reason is "blocked" or not.

SYNOPSIS
    use Sisimai::Reason::Blocked;
    print Sisimai::Reason::Blocked->match('Access from ip address 192.0.2.1 blocked'); # 1

DESCRIPTION
"Sisimai::Reason::Blocked" checks the bounce reason is "blocked" or not. This class is called only "Sisimai::Reason" class.

This is the error that SMTP connection was rejected due to a client IP address or a hostname, or the parameter of "HELO" or "EHLO" command. This reason has added in Sisimai 4.0.0.

    <kijitora@example.net>:
    Connected to 192.0.2.112 but my name was rejected.
    Remote host said: 501 5.0.0 Invalid domain name

CLASS METHODS

  "text()"
text() method returns the fixed string "blocked".

    print Sisimai::Reason::Blocked->text;  # blocked

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::Blocked->match('Access from ip address 192.0.2.1 blocked');  # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "blocked". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2025 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.